## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id com.github.donadigo.appeditor

Name:           appeditor
Summary:        Edit application menu
Version:        1.1.5
Release:        %autorelease
# The entire source is GPL-3.0-only, except:
#   - data/com.github.donadigo.appeditor.appdata.xml.in is CC0-1.0, which is
#     allowed for content only
License:        GPL-3.0-only AND CC0-1.0

URL:            https://github.com/donadigo/appeditor
Source:         %{url}/archive/%{version}/appeditor-%{version}.tar.gz

# Fix flickering titlebar (fix #103)
# https://github.com/donadigo/appeditor/issues/103#issuecomment-756924055
# https://github.com/donadigo/appeditor/pull/139
Patch:          %{url}/pull/139.patch
# Fix deprecated top-level developer_name in AppData XML
# https://github.com/donadigo/appeditor/pull/135
Patch:          %{url}/pull/135.patch
# Ensure all text files have terminal newlines
# https://github.com/donadigo/appeditor/pull/136
Patch:          %{url}/pull/136.patch
# Remove executable bit from files that are not script-like
# https://github.com/donadigo/appeditor/pull/138
Patch:          %{url}/pull/138.patch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
BuildRequires:  libappstream-glib
# Matches what gnome-software and others use:
BuildRequires:  appstream

BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  gcc

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(granite) >= 5.4.0
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       contractor
Requires:       hicolor-icon-theme

Summary(ca):    Modifiqueu el menú d’aplicacions
Summary(de):    Keine Anwendungen gefunden
Summary(es):    Editar el menú de aplicaciones
Summary(fr):    Modifier le menu des applications
Summary(it):    Modifica Menù Applicazione
Summary(ja):    アプリケーションメニューを編集します
Summary(lt):    Programų nerasta
Summary(nl_NL): Toepassingenmenu bewerken
Summary(pt):    Editar menu da aplicações
Summary(pt_BR): Editar menu da aplicações
Summary(ru):    Изменяйте меню приложений
Summary(sv):    Redigera programmenyn
Summary(tr):    Uygulama menülerini düzenle

%description
Edit application entries shown in application menu and their properties.

Features include:

  • Hide and show applications from the application menu
  • Create new application entries
  • Change application’s display name, icon and more

%description -l ca
Modifiqueu les entrades mostrades al menú d’aplicacions i les seves propietats.

Funcionalitats distintives:

  • Amagueu i mostreu entrades al menú d’aplicacions
  • Creeu-ne de noves
  • Canvieu el nom visible, la icona i molt més per cada aplicació

# %%description -l de
# (only partially translated upstream)

%description -l es
Edite las entradas del menú de aplicaciones y sus propiedades.

Algunas de las funcionalidades son:

  • Ocultar y mostrar entradas del menú de aplicaciones
  • Crear entradas de aplicación nuevas
  • Cambiar el nombre mostrado de una aplicación, su icono y más

%description -l fr
Modifiez les raccourcis et leurs propriétés dans le menu des applications.

Fonctionnalités incluses:

  • Masquer et afficher les applications du menu des applications
  • Créer de nouveaux raccourcis d’application
  • Changer le nom d’une application, son icône, etc

%description -l it
Modifica le voci dell’applicazione visualizzate nel menu le relative proprietà.

Funzionalità incluse:

  • Mostra e nascondi le applicazioni nel Menù Applicazioni
  • Crea nuova voce applicazione
  • Cambia il nome visualizzato dell’applicazione, la sua icona ed altro

%description -l ja
アプリケーションメニューに表示されるアプリケーションのエントリーとプロパティ
を編集します。

含まれる機能:

  • アプリケーションをアプリケーションメニューから隠したり表示したりします
  • 新しいアプリケーションのエントリーを作成します
  • アプリケーションの表示名やアイコンなどを変更します

# %%description -l lt
# (only partially translated upstream)

%description -l nl_NL
Bewerk menu-items uit het toepassingenmenu, inclusief hun eigenschappen.

Het bevat de volgende mogelijkheden:

  • Toon en verberg items uit het toepassingenmenu
  • Maak nieuwe menu-items
  • Pas de weergavenaam, het pictogram en meer aan

%description -l pt
Editar entradas de aplicações mostradas no menu das aplicações e as suas
propriedades.

Características incluídas:

  • Esconde e mostra aplicações do menu de aplicações
  • Criar novas entradas de aplicações
  • Alterar o nome de exibição da aplicação, ícone e mais

%description -l pt_BR
Editar entradas de aplicações mostradas no menu das aplicações e as suas
propriedades.

Características incluídas:

  • Esconde e mostra aplicações do menu de aplicações
  • Criar novas entradas de aplicações
  • Alterar o nome de exibição da aplicação, ícone e mais

%description -l ru
Редактирование описания и свойств программ в меню приложений.

Доступные возможности:

  • Скрытие и отображение программ в меню приложений
  • Создание новых записей о приложениях
  • Изменение отображаемого имени приложение, значка и многого другого

%description -l sv
Redigera programposterna som visas i menyn, och dess egenskaper.

Funktioner:

  • Dölj och visa program i programmenyn.
  • Skapa nya programposter.
  • Ändra programmens visningsnamn, ikon och mer.

%description -l tr
Uygulama menüsünde gösterilen uygulama girişlerini ve özelliklerini düzenleyin.

Özellikler şunlardır:

  • Uygulama menüsünden uygulamaları gizleme ve gösterme
  • Yeni uygulama girişleri oluşturma
  • Uygulamanın görünen adını, simgesini ve daha fazlasını değiştirin


%prep
%autosetup -n appeditor-%{version} -p1
rm -rv external


%conf
%meson


%build
%meson_build


%install
%meson_install

%find_lang %{app_id}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{app_id}.desktop

# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
appstream-util validate-relax --nonet \
    %{buildroot}/%{_metainfodir}/%{app_id}.appdata.xml
# Matches what gnome-software and others use:
appstreamcli validate --no-net --explain \
    %{buildroot}/%{_metainfodir}/%{app_id}.appdata.xml


%files -f %{app_id}.lang
%doc README.md
%license LICENSE

%{_bindir}/%{app_id}

%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/contractor/%{app_id}.contract
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{app_id}.svg
%{_metainfodir}/%{app_id}.appdata.xml


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 31 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.5-8
- Invoke %%meson in %%conf rather than in %%build

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Mar 08 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.5-6
- Add developer ID in AppData (fix FTBFS with appstream 1.0.2)

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.5-2
- Use the release tag now that upstream pushed it

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.5-1
- Update to 1.1.5

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-14
- Fix missing terminal newline and bogus executable permissions

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-13
- Open an upstream PR for the flickering-titlebar patch

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-12
- Remove bundled glib in %%prep

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-11
- Ask appstreamcli to explain validation findings

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-10
- Fix deprecated top-level developer_name in AppData XML

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-9
- Correct appstreamcli invocation (--nonet no longer works)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4^20220103gitaeb0b13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4^20220103gitaeb0b13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 19 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-4
- Leaf package: remove i686 support

* Sat Jul 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-3
- Update License field to SPDX

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4^20220103gitaeb0b13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Apr 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4^20220103gitaeb0b13-1
- Drop “forge” macros to use modern snapshot versioning

* Sat Apr 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4-4
- Stop numbering patches

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4-2
- Add Swedish summary and description to package

* Mon Jan 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4-1
- Update to 1.1.4

* Mon Jan 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.3-4
- Fix FTBFS with vala 0.55.1

* Thu Jan 13 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.3-3
- Add BR on gcc

* Wed Jan 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.3-2
- Also validate AppData with appstreamcli

* Sun Dec 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.3-1
- Update to 1.1.3 (close RHBZ#2033972)

* Fri Sep 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-14
- Use %%%%{_metainfodir} macro in spec file

* Wed Sep 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-13
- Rename appname macro to app_id

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-9
- Fix flickering titlebar (https://github.com/donadigo/appeditor/issues/103)

* Fri Jul 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-8
- Switch License field to “effective license” of GPLv3

* Mon Mar 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-7
- Localize summary and description where translations are available upstream

* Fri Feb 19 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-6
- Rebuilt for granite 6 soname bump.

* Tue Feb 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-5
- Correct License from “LGPLv2+” to “GPLv3 and LGPLv2+ and CC0”

* Tue Feb 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-4
- Package LICENSE file

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Apr 17 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1.

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 02 2019 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-4
- Include a simple patch to fix compilation with newer vala versions.

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Sep 01 2018 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Initial package for fedora.

## END: Generated by rpmautospec
